summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAntoine Beaupre <anarcat@koumbit.org>2011-06-21 22:38:14 -0400
committerAntoine Beaupre <anarcat@koumbit.org>2011-06-21 22:44:22 -0400
commite41eb2efc141015df96b496700f46c155cfa8805 (patch)
treef4d7bf461161ab6d08f10f919315c0527402cd1b
parent5374c3ae677911875f3a277bc376f430a0a63752 (diff)
downloadpuppet-reprepro-e41eb2efc141015df96b496700f46c155cfa8805.tar.gz
puppet-reprepro-e41eb2efc141015df96b496700f46c155cfa8805.tar.bz2
add builtin reprepro init files
-rw-r--r--files/inoticoming.default22
-rwxr-xr-xfiles/inoticoming.init132
2 files changed, 154 insertions, 0 deletions
diff --git a/files/inoticoming.default b/files/inoticoming.default
new file mode 100644
index 0000000..3de61a7
--- /dev/null
+++ b/files/inoticoming.default
@@ -0,0 +1,22 @@
+# /etc/default/inoticoming
+#
+# for an explanation of options and actions, see inoticoming(1)
+
+# user to run inoticoming as
+USER=incoming
+
+# log to some file instead of syslog
+# required if you want to use --stdout-to-log or --stderr-to-log in actions
+LOGFILE="/var/log/incoming.log"
+
+# first search the directory for files already existing
+# 0 for false, 1 for true
+INITIALSEARCH=0
+
+# directory to monitor
+DIR=/var/spool/incoming
+
+# actions
+BASEDIR=/var/cache/reprepro/local
+RULENAME=incoming
+ACTIONS="--suffix .changes --stderr-to-log reprepro -s -b $BASEDIR --waitforlock 1000 processincoming $RULENAME {} ;"
diff --git a/files/inoticoming.init b/files/inoticoming.init
new file mode 100755
index 0000000..4ccafdc
--- /dev/null
+++ b/files/inoticoming.init
@@ -0,0 +1,132 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: inoticoming
+# Required-Start: $local_fs $syslog
+# Required-Stop: $local_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Example initscript for inoticoming
+# Description: This script provides an example how to start an instance
+# of inoticoming via an initscript. Place this file in
+# /etc/init.d, e.g. as /etc/init.d/inoticoming, and define
+# your settings in /etc/default/inoticoming.
+### END INIT INFO
+
+# Copyright (c) 2008 by Tilman Koschnick <til@subnetz.org>
+# Based on /etc/init.d/skeleton from Debian package initscripts
+# Distributed under the GPLv2
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="incoming queue monitor"
+NAME=inoticoming
+DAEMON=/usr/bin/inoticoming
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+
+ # make sure inoticoming can write the PID to $PIDFILE
+ [ -f $PIDFILE ] || touch $PIDFILE
+ chown $USER $PIDFILE
+ OPTIONS="--pid-file $PIDFILE"
+
+ # make sure inoticoming can write to $LOGFILE
+ if [ -n $LOGFILE ] ; then
+ [ -f $LOGFILE ] || touch $LOGFILE
+ chown $USER $LOGFILE
+ OPTIONS="$OPTIONS --logfile $LOGFILE"
+ fi
+
+ # should we do an initial search of the directory?
+ [ "$INITIALSEARCH" != "0" ] && OPTIONS="$OPTIONS --initialsearch"
+
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+ || return 1
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --chuid $USER -- \
+ $OPTIONS $DIR $ACTIONS \
+ || return 2
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+ # Return
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # 2 if daemon could not be stopped
+ # other if a failure occurred
+ start-stop-daemon --stop --quiet --pidfile $PIDFILE
+ RETVAL="$?"
+ [ "$RETVAL" = 2 ] && return 2
+ rm -f $PIDFILE
+ return "$RETVAL"
+}
+
+case "$1" in
+ start)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+ do_start
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ restart|force-reload)
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+: